#include "CandlePatterns.mqh"
CCPatterns							*cCP;
//+-----------------------------------------------------------------------------------------------------------------------------+
//| INPUT:  Input for variable used in the expert advisor
//+-----------------------------------------------------------------------------------------------------------------------------+
	input	string 					InpSymbol 		= "US30";
	input ENUM_TIMEFRAMES	InpTimeFrame	= PERIOD_H1;
//+-----------------------------------------------------------------------------------------------------------------------------+
//| EXPERT's:       OnInit() method
//+-----------------------------------------------------------------------------------------------------------------------------+
int OnInit() {

		cCP = new CCPatterns(InpSymbol,InpTimeFrame);
		ResetLastError();
		if(CheckPointer(cCP) == POINTER_INVALID) {
			return(INIT_FAILED);
		}
    return(INIT_SUCCEEDED);

} // End of EA method OnInit()
//+-----------------------------------------------------------------------------------------------------------------------------+
//| OnDeinit():     ...
//+-----------------------------------------------------------------------------------------------------------------------------+
void OnDeinit(const int reason) {

		delete cCP;

} // End of EA method OnDeinit()
//+-----------------------------------------------------------------------------------------------------------------------------+
//| OnTick():     ...
//+-----------------------------------------------------------------------------------------------------------------------------+
void OnTick() {

		if(IsNewBar()) {
			PrintFormat("is3BC[3][%s] [2][%s] [1][%s]",(string)cCP.is3BC(3),(string)cCP.is3BC(2),(string)cCP.is3BC(1));
			PrintFormat("is3WS[3][%s] [2][%s] [1][%s]",(string)cCP.is3WS(3),(string)cCP.is3WS(2),(string)cCP.is3WS(1));
		}

} // End of EA method OnTick()
//+-----------------------------------------------------------------------------------------------------------------------------+
//| METHOD:       IsNewBar()
//+-----------------------------------------------------------------------------------------------------------------------------+
bool IsNewBar(void) {

	//PrintFormat("Symbol [%s] Inside IsNewBar()",InpSymbol);
  static datetime barCurrent  = WRONG_VALUE;
         datetime barPrevious = barCurrent;

  barCurrent = (datetime)SeriesInfoInteger(InpSymbol,InpTimeFrame,SERIES_LASTBAR_DATE);  
  if(barCurrent != barPrevious)  return(true);
  return(false);

} // END Of IsNewBar()
//+-----------------------------------------------------------------------------------------------------------------------------+
